/*
 Theme Name:   Woodmart Child
 Description:  Woodmart Child Theme
 Author:       XTemosс
 Author URI:   http://xtemos.com
 Template:     woodmart
 Version:      1.0.0
 Text Domain:  woodmart
--wd-text-color.text-larger br
--wd-primary-color
--wd-alternative-color
*/

/* необходимо сделать по умолчанию во всех браузерах */
html { scroll-behavior: smooth; }

:root {
  --wd-text-line-height: 1.4;
  --wd-form-height: 47px;
  --wd-form-color: var(--wd-text-color);	
	--btn-brd-radius: 0.5rem;
}




/* Критично цвет меню при наведении РАСКОММЕНТИРОВАТЬ ДЛЯ ОПРЕДЕЛЕННЫХ МЕНЮ*/
/*
.wd-nav-main > .current-menu-item a, .wd-nav-main > li:hover a {
  color: currentcolor!important;
}
*/
/* Критично */
[class*="color-scheme-light"] {
--wd-form-chevron: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIyNSIgaGVpZ2h0PSIyNSIgZmlsbD0ibm9uZSIgc3Ryb2tlLXdpZHRoPSIyIiBzdHJva2U9IiNiYmIiPjxwYXRoIGQ9Ik02IDlsNiA2IDYtNiIvPjwvc3ZnPg==)!important;
  
}

/******************* MESSENGERS *****************/

.ds-messengers {
  display: inline-flex;
  gap: 10px;
  vertical-align: middle;
}
.ds-messengers a {
  display: inline-flex;
  gap: 5px;
  align-items: center;
}
.ds-messenger-title {
  font-size:13px;
  display:none;
}
.ds-messengers img {
  width: 40px;
  height:40px;
  transition: all 250ms;
  object-fit:contain;
}
.ds-messengers a:hover img {
  transform: scale(1.15);
}
.ds-messengers-underline a {
  flex-direction: column;
  gap: 1px;
}
.ds-messengers-underline a span{
  display: block;
} 
.ds-messengers-inline a span {
  display: inline-block;
}
.ds-phone-link {
  display: inline-flex;
  align-items: center;
  gap:7px;
}
.ds-phone-icon {
  height:1.25em;
}



.primary-color {
  color: var(--wd-primary-color);
}
.bg-primary {
  background-color: var(--wd-primary-color);
}

iframe {
  display:block;
}



.table-responsive > div {
  width:100%;
  overflow-x: auto;
}
.table-responsive table {
  width:100%;
}
.table-background > div {
  background-color: var(--wd-alternative-color);
  border-radius: var(--radius);
  overflow:hidden;
  padding-top:1.5rem;
  padding-bottom:1.5rem;
}

.table-background table :is(td, th){
  padding:15px;
  padding: clamp(8px, 1vw, 15px) clamp(10px, 2vw, 60px) ;
  font-size: larger;
  border-bottom: 1px solid #220d48;
}
.table-background th {
  padding-top:1rem;
  padding-bottom:1rem;
}
.table-background table,.table-background th {
  color: #e5e5e5;
} 

td:last-child, th:last-child {
    text-align: center;
}
.table-background thead {
  
}
@media (max-width:767.5px) {	
  .table-sm-small {
    font-size:small;
  }
.table-responsive:before {
  display:block;
  margin-bottom:0;
  content: '← листайте влево/вправо →';
}
}
.entry-title.title {
  line-height:1!important;
}

[class*="color-scheme-light"] {
--wd-text-color: white;
}

:root {
  --ds-row-banner-gap: 12px;
}

@media (min-width:768px) { 
  :root {
    --ds-row-banner-gap: 18px;
  }
}

.cols-banner .vc_column-inner, .col-banner > .vc_column-inner {
  height:100%;
}
.cols-banner .vc_column-inner > .wpb_wrapper, .col-banner > .vc_column-inner > .wpb_wrapper, .row-banner .vc_row {
      border-radius: var(--radius);
      overflow: hidden;
      box-shadow: var(--shadow);
    margin-top: 1rem;
    padding-bottom: 15px;
    padding: var(--ds-row-banner-gap, 1rem);
    background-color: white;
  }

.cols-banner.no-shadows :is(.wpb_wrapper, .vc_row) {
  box-shadow : none;
}


.cols-banner.vc_row-o-equal-height .wpb_wrapper {
  display:flex;
  flex-direction:column;
}
.cols-banner .vc_btn3-container {
  /* особенная кнопка внизу*/
  margin-top:auto;
}
.cols-banner .wpb_column, .col-banner {
  margin-bottom:30px;
}
.cols-banner.last-bottom .vc_column-inner > .wpb_wrapper > div:last-child {
  padding:0!important;
  margin-top:auto;
}
.cols-banner.last-bottom .vc_column-inner > .wpb_wrapper {
  padding-bottom:0!important;
}


.cols-banner .wd-button-wrapper, .col-banner .wd-button-wrapper {
  margin-top:auto;
}
/* В карусели баннеров делаем 100% высоты */
.wd-carousel-item .vc_row .wpb_column {
height:100%}

.row-banner .vc_row {
  margin-left:0;
  margin-right:0;
  padding-bottom:30px;
  /* del? 
  padding-left:calc(2 * var(--ds-row-banner-gap, 1rem));
  padding-right:calc(2 * var(--ds-row-banner-gap, 1rem));
  */
  
}
.row-banner .vc_row > .vc_column_container>.vc_column-inner {
  /* del? 
  padding-left:0;
  padding-right:0;
  */
}
.row-banner .vc_row-fluid.bg-grey {
  /* отменяем паддинги если это баннер, и так есть */
  padding-top:0;
}

.no-shadow.col-banner > .vc_column-inner > .wpb_wrapper, .no-shadow, .no-shadow *{
    box-shadow: none!important;
} 



/* для модальных окон размер шрифта восстанавливаем */
.wd-popup {
    --wd-text-font-size: 19px;
    font-size: var(--wd-text-font-size);
}

/* ВНИМАНИЕ, ДЛЯ модальных окон с каталогом удаляем паддинги: */
#catalog, #get-catalog {
    padding: 0px 15px !important;
  background:transparent!important;
}
 
/**************/
.btn-100 :is(.btn, .button, [type=submit], [type=button]), a.btn-100, span.btn-100{
  width:100%;
}
:is(.btn,.button,button,[type=submit],[type=button]):hover {
  box-shadow: inset 0 0 0 1000px rgba(0, 0, 0, 0.3)!important;
}
/* отменяем фон у кнопки закрыть */
button.mfp-close:hover {
  box-shadow: none!important;
}

.btn, [type=submit] {
  border-radius: var(--btn-brd-radius);
  text-decoration:none;
  min-width:10em;
}
.btn:not([class*=btn-color]) {
  --btn-bgcolor: var(--wd-primary-color);
    --btn-bgcolor-hover: var(--wd-primary-color);	
  color:white;
}
/* стиль кнопки обычная ссылка */
.btn-style-link {
  color: var(--wd-primary-color)!important;	
  background:none!important;
  border-radius:0;
  height:auto!important;
  min-height:0;
  box-shadow: none!important;
}
.btn-style-link:hover {
  box-shadow: none!important;
}

.wd-opened .wd-collapsible-button {
   
}
.wd-collapsible-content .wpb_text_column.wpb_content_element {
  margin-bottom:5px;
}

.wd-collapsible-button .btn {
  color: currentcolor !important;
    background: none;
    box-shadow: none !important;
    border-bottom: 1px dashed currentcolor;
    border-radius: 0;
    padding: 3px;
    line-height: 1;
    height: auto !important;
  min-height:0;
  min-width:auto;
  text-transform:none;
}

@media (max-width:767.5px) {
  .btn-md-left .wd-button-wrapper {
    text-align: left!important;
  }
}


/****  КНОПКА BTN BLINK*/
.btn-style-default, .btn-color-primary {
  position: relative;
 overflow:hidden;
}

.btn-style-default::after,  .btn-color-primary:after {
  content: "";
  position: absolute;
  top: 0.5em;
  left: 0;
  width: 2em;
  height: 300%;
  background: rgba(255, 255, 255, 0.7);
  transform: translateX(-100%) rotate(45deg) translateY(-50%);
  pointer-events: none; /* чтобы не мешал клику */
  animation: ds-blick 4s linear infinite;
}

@keyframes ds-blick {
  0%, 85% { left: 0;   opacity: 0; }  /* ждём у левого края */
  88%     {            opacity: 1; }  /* проявляемся */
  100%    { left: 110%; opacity: 0; } /* быстрый проезд вправо */
}

.no-blink .btn:after {
display:none;
}
/****  END КНОПКА BTN BLINK*/




.section-title {
    text-align: center;
  }
 .section-title h2 {
    margin-bottom: 1rem;
  }
.section-title + p {
}


.section-titles > div .text-right {
  text-align: left;
}
@media (min-width:768px) {
  .section-titles {
  display:flex;
  justify-content: space-between;
  }
  .section-titles > div {
   flex: 1 0 auto;
  width:auto;
  }	
  .section-titles > div .text-right {
    text-align: right;
  }
  
}

/* REBOOT */
.wd-el-toggle-head {
  margin-top:0.5rem;
}
.hotspot-content .wd-entities-title {
  font-size:1.1rem;
}
/* исправление sticky */
@media (min-width:767.5px){
.woodmart-sticky-column .wpb_wrapper {
    position:  sticky!important;
  top: 100px;
  height:auto!important;
}
}




/* скрытый текст */
.wd-el-toggle-title.title {
  font-weight:unset;
  border-bottom: 1px dashed currentcolor;
  font-size: unset;
}
.wd-page-content p > a:not(.btn) {
  border-bottom:1px solid currentcolor;
}
#footer p > a:not(.btn) {
  border-bottom:none;
}


/* до и после */
.wd-compare-img-handle span {
  background-color: var(--wd-primary-color)!important;
  color: white!important;
}
.wd-compare-img img {
  height:300px;
  object-fit:cover;
}


/* делаем все видео aspect-ratio  кроме "дефолт" */
.wd-el-video.wd-video-rutube:not(.wd-action-play) {
  height: auto!important;
  aspect-ratio: 16/9!important;
}

.video-size-medium .wd-el-video.wd-with-aspect-ratio{
  aspect-ratio : 4/3!important;
}
.wd-el-video.wd-with-aspect-ratio:not(.wd-action-play) {
aspect-ratio : 3/4!important;
}

/* пытаемся исправить центрирование кнопки */
.wd-action-play {
  width:auto!important;
}

/* Видео надпись флекс */
.wd-el-video-control, .wd-el-video-btn {
  flex-direction: column;
  color:white;
}

/* "литая" кнопка */
.wd-el-video-play-btn {
    color: white !important;
}
.wd-el-video-play-btn:after {
opacity: 1!important;
background:var(--wd-primary-color);
border-color: var(--wd-primary-color)!important;
transition-property: all!important;
}
.wd-el-video-play-btn:before {
z-index:2;
}
.wd-el-video.wd-action-overlay:hover .wd-el-video-play-btn:after {
  transform: scale(1.15);
}
.wd-el-video-play-label {
  font-size:1.2em;
}

.wd-el-video-overlay:after {
  background: rgba(0,0,0,0.55);
}

@media (min-width: 768px) {
    #main-content .wpb_wrapper > p, .post-single-page .article-body-container, #main-content .wd-entry-content p {
        text-align: justify;
    }
}
.wd-products-per-page {
  display:none;
}
.entry-title.title {
  font-weight:500;
}
.wd-breadcrumbs>:is(span,a):last-child, .woocommerce-ordering.wd-style-underline select,.wd-action-btn.wd-style-text>a,.wd-label {
  font-weight:400;
}

.wd-collapsible-content:not(.clear-collapse) > .vc_column-inner {
  max-height: 10rem;
}

/*отзывы исправляем */

.testimonial-inner {
  height:100%;
}
.testimon-style-info-top .wd-carousel-item {
  padding:0.5rem;
  background-color:white;
  border-radius: var(--btn-brd-radius);
}
.testimon-style-info-top .wd-testimon-text {
  background-color:transparent;
}
@media (max-width:575.5px) {
  .wd-testimon-text {
    font-size: smaller;
  }
}

@media (min-width: 1px) and (max-width: 991px) {
    .row-reverse-tablet>.wpb_column:nth-child(1) {
        order: 12;
    }
}

blockquote {
  font-size:inherit;
}
.text-larger {
  font-size: 120%;
}

.vc_row-has-fill.bannered {
    margin-left: 0;
    margin-right: 0;
}

.hidden-lg.wd-button-wrapper  {
  display:none!important;
}

/* END REBOOT */


/* CUSTOM */

/* блок с цифрами */

.row-with-numbers .ib-title *{
  font-weight:bolder;
  font-size:50px;
}
.row-with-numbers .ib * {
  text-align:center;
  align-items:center;
}

@media (min-width:767.5px) {
.row-with-numbers .ib-title {
  font-size: 50px!important;
  font-weight:bolder;
}
.row-with-numbers .ib * {
  text-align:right;
  align-items: end;   
}
}


.fa-arrow-right-long, .fa-long-arrow-right { 
    transform: rotate(314deg);
}
.fa-arrow-up-long {
   transform: rotate(45deg);
}

.paddings {
  padding-top:1%;
  padding-left:2.5%;
  padding-right:2.5%;
}

/*____________________*/
.free-container {
  position:relative;	
  padding-bottom: 415px;
}

.free {
  height:415px;
  width:auto;
  position:absolute;
  bottom:0;
  top:auto;
  right:auto;
  left: 50%;
  transform:translateX(-50%);
}
.free img {
  height:100%;
  width:auto;	
  max-width:none;
}
.free-mob-right {
  left:auto;
  transform:none;
  right:0;
}


.free-text {
    display: inline-block;
    width: auto !important;
    right: auto;
  height:auto!important;	
  bottom: 2rem!important;
    left: 50%;
    transform: translateX(-50%);
  padding: 12px;
    background-color: rgba(255, 255, 255, 0.7);
    border-radius: var(--btn-brd-radius);
}



.free :is(div, figure){
  width:100%;
  height:100%;
}
.free .vc_column-inner {
  padding:0!important;
}


@media (min-width:768px) {
  .free-container {
    padding-bottom:0;
  }
.free {		
  height:98%;
  top:auto;
  left:auto;
  right:0;
  bottom:0;
  transform:none;
  }
  

  
.free-text {
  right: auto;
  height:auto;
  bottom: 2rem;
  left: 50%;
  transform: translateX(-50%);
  min-width:auto;
}	
  
}

#right-tool {
  bottom: -130px;
}

/*____________________*/

/* ДВИЖОК БАННЕРОВ идеть после free, так как переписывает правила */

.carousel-banners .wd-carousel-item {
  /* вынужденные отступы, чтобы не слипались слайды*/
  padding-right:30px;
  padding-left:30px;
}
.carousel-banners .vc_row  {
  height:100%;
  display: flex;
    flex-direction: column;
    align-items: start;
}
.carousel-banners .wd-carousel-item .vc_row > div:last-child  {
  margin-top:auto;
}



@media (max-width:767.5px) {
  .scroll-container {
  display: flex !important;
  flex-wrap: nowrap!important;
  overflow-x: auto;
  gap: 0;
  padding-bottom: 0.5rem;
}
  
.scroll-container > div {
  flex: 0 0 auto;
  width:85%;
  float: none;
}
  .scroll-container .wpb_column {
    margin-bottom:6px;
  }
}
.scroll-container .wd-el-video {
  margin-bottom:30px;
}




/* SLIDERS, CAROUSELS */
/*______ДОСТУП К КНОПКАМ КАРУСЕЛЕЙ___________*/


/* две рядом кнопки - нужен отступ сверху */
.ds-navs-outside {
    margin-top: 2.5rem;
}

.wd-carousel-inner {
margin: 0 0
}

.ds-carousel-white .wd-carousel-item > div {
  background-color: white;	
  margin-right:0;
  margin-left:0;
  padding-top:15px;
  height: 100%;/* важно для одинаковой высоты */
}
.ds-carousel-white h4,.ds-carousel-white h3 {
  margin-top:1rem;
}


.carousel-sm-125 .wd-carousel, .carousel-sm-125.wd-carousel{
  --wd-col-sm: 1.25!important;
}

.carousel-lg-125 .wd-carousel, .carousel-lg-125.wd-carousel {
  --wd-col-lg: 1.25!important;
  --wd-col-md:1.25!important;
  --wd-col-sm: 1.25!important;
}

@media (max-width:575.5px) {
  .carousel-visible-576 .wd-carousel {
    overflow:visible;
  }
}

/*________________________________________________________________________*/


.entry-title.title,.wd-entities-title {
  color:#344;
}
.wd-breadcrumbs>:is(span,a):last-child {
    color: currentColor;
}
/* верхние отсупы 0 */
.page .wd-content-layout {
  padding-block:0;
}

.hotspot-content .hotspot-content-text {
  line-height:1.15;
}
.hotspot-btn {
    background-color: var(--wd-primary-color)!important;
}
.hotspot-btn:after {
color: white!important;
}
.hotspot-sonar {
background-color: var(--wd-primary-color)!important;

}


.wpb_wrapper > h2 + p > em:first-child {
  font-style: normal;
  font-size:130%;
}



/****************************************/
/* управляющиег классы */

.link-dotted {
text-decoration: underline dotted!important;
}

.bg-blur {
  backdrop-filter: blur(10px);
  padding:8px 14px;
    background: rgb(0 0 0 / 10%);
    border: 1px solid rgb(103 103 103 / 40%);
  border-radius: var(--btn-brd-radius);
}

.overlay {
	overflow: hidden;
	position: relative;
}
.overlay:before {
  display:block!important;
    position: absolute;
    top: 0;
    left: 0;
    content: '';
    width: 100%;
    height: 100%;
    display: block;
    background: rgba(0, 0, 0, 0.65);
}


.bg-lightgrey, .bg-grey {
  background-color: var(--grey);
}
.bg-dark {
  background-color: #0f0f0f;
}
.vc_row-fluid.bg-grey {
  padding-top:2.5rem;
}

.bg-100 {
  background-size: 100%!important;
}

.mobile-only {
  display:none;
}
.gap-1 {
  height:3rem!important;
}
.gap-1 .vc_column-inner {
  padding:0!important;
}

.cols-decor > div {
  padding:15px!important
}
.cols-decor > div > div {
  border-radius: var(--wd-brd-radius);
  box-shadow: 0 0 10px 0 #f0f0f0;	
  padding:0!important;
}
.cols-decor .wpb_text_column {
  padding-left:7.5px;
  padding-right:7.5px;
}

.projects  .vc_row {
  padding-left:1rem;
  padding-right:1rem;
}

.projects > div > div {
  background: white;
}
.projects .wd-gallery-item {
    aspect-ratio: 3 / 2;
}
.project-material strong {
  background: var(--lightgrey);
  padding:0.2rem 0.5rem;	
}


.align-center {
  display: flex;
  align-items: center;
  gap: 1rem;
}
.align-start {
  display: flex;
  align-items: start!important;
}

.justify-center {
  display: flex;
  justify-content: center;
  gap:1rem;
}
.d-none {
  display:none;
}
.d-block {
  display: block!important;
}
.uppercase {
  text-transform: uppercase;
}

.desktop-only {
  display:block;
}
@media (max-width:767.5px){
  h1 br, h2 br,h3 br, h4 br, .text-larger br {
    display:none;
  }
  
  .keep-br br {
    display:block!important
  }

  .mobile-only {
    display:block;
  }
  .desktop-only {
    display:none;
  }
  .mobile-reverse > div:first-child {
    order: 2;		
  }
}
@media (max-width:1023.5px) {
  .row-split-1024 > div {
  width:100%!important
}
}

/*********************************************/
/* ICONBOXES */
.wd-info-box .info-box-content {
  line-height:1.15;
}
.iconboxes-standart h4 {
  font-size:inherit;
}
.iconboxes-standart p {
  line-height:1.15;
  font-size:0.9em;
  text-align:left!important;	
}
.wd-carousel .info-box-wrapper {
  height:auto!important;
}

.info-box-wrapper  .wd-wpb {
  height:100%;
}
.wd-wpb {
  margin-bottom:0;
}
.info-box-wrapper {
  height:100%;
}
.vc_row-o-equal-height .wpb_wrapper {
  height:100%;
}


/* HEADER */
/* header transparent */

.ds-header-transparent .whb-header:not(.whb-sticked) {
    width:100%;
    position:absolute;
    width:100%;
    z-index:1;
    background: transparent;
}
.ds-header-transparent .whb-header:not(.whb-sticked) .whb-color-dark:not(.whb-with-bg) {
    background:transparent;
}
.ds-header-transparent .whb-general-header {
    border-bottom:none;
}
.ds-header-transparent .whb-sticky-prepared {
  padding-top: initial!important;
}

.ds-header-transparent .whb-header:not(.whb-sticked) :is(p, a,h4, h3, span, em,.subtitle-color-default)  {
    color:white;
}
/* END HEADER TRANSP */


/* телефон + ссылка заказать звонок */
.phone-and-callback {
  display:flex;
  flex-direction: column;
  justify-content: center;	
}
.phone-and-callback em {
  font-style: normal;
  font-size: larger;
  text-align: center;
}
.phone-and-callback a[href^="#"] {
  border-bottom: 1px dashed currentColor;
  align-self: center;
}
@media (max-width:575.5px) {
  .phone-and-callback em {
    font-size: 115%;
  }
  .phone-and-callback {
    gap:5px;
  }
}
/* возвращаем нормальынй размер шрифта для верхнего хедера */
.whb-top-bar .wd-header-text {
  font-size: initial!important;
}

/* исправляем широкую шапку для меню с классом wide-menu */
.wide-menu .whb-general-header .whb-col-left {
  width:100%;
}

.wd-tools-element a .wd-tools-icon:before {
    font-size: 30px;
}
.wd-tools-element .wd-tools-text {
    display: block !important;
    position: absolute;
    top: auto;
    bottom: -3px;
    font-size: 9px !important;
    padding: 0 !important;
    margin: 0 0 0 0 !important;
}

.whb-mobile-right,.whb-mobile-left {
  flex: 0 0 0%!important;
}




/* HEADER для header отмена высоты */
.whb-header  .info-box-wrapper {
  height:auto;
}

.whb-header .info-box-inner {
    margin-top: 4px!important;
}

@media (min-width:1024px){
.whb-header .ds-phone-link {
  font-size:120%;
  }
}
.icon-phone {
    display: flex;	
}
.icon-phone svg {
    fill: var(--wd-primary-color);
  width: 26px;
    height: 26px;
}
.info-box-wrapper h4 {
  display:flex;
  align-items: center;
  gap: 0.25rem;
}

/***   iconboxes-text-top */
 .iconboxes-text-top .box-with-text {	
  background:white;
  box-shadow: 0 0 1rem 0.1rem #e0e0e0;
  width: 2em;
  padding:0.5rem;
  margin:-3.5rem auto 0;
}
.iconboxes-text-top .vc_row-o-equal-height >div {
  margin-bottom:3rem;
}

.iconbox-icon-inline .info-box-content {
    display: flex;
  align-items:center;
    gap: 12px;
}
.iconbox-icon-inline .fa {
  font-size: 20px;
}
.align-start .info-box-content {
  align-items: start;
}
.align-start .info-box-content > div:first-child {
  margin-top:3px;
}
.iconbox-icon-inline .info-box-inner {
  margin-top:0!important;
}

.wd-info-box .fa {
  color: var(--wd-primary-color);
}


/* gallery */


.wd-images-gallery:not(.clear-gallery) .wd-gallery-item {
  aspect-ratio: 5/3;
}
 .wd-images-gallery.gallery-high-images .wd-gallery-item, 
.wd-images-gallery.high .wd-gallery-item
{
  aspect-ratio: 5/6;
}

.wd-images-gallery:not(.clear-gallery) .wd-gallery-item a{
  width:100%;
  height:100%;	
}
.wd-images-gallery:not(.clear-gallery) .wd-gallery-item a > img {
  object-fit:cover;
  width:100%;
  height:100%;
}

/* элитная галерея */
.ds-gallery-thumbs .wd-grid-g > *:first-child {
  grid-column: 1 / -1;   
}
.ds-gallery-thumbs .wd-grid-g > div:nth-child(n + 6) {
  display:none!important;
}
.ds-gallery-thumbs {
  margin-bottom:16px;
}

/* элитная галерея 3 */
.ds-gallery-thumbs.three .wd-grid-g > div:nth-child(n + 5) {
  display:none!important;
}
.ds-gallery-thumbs {
  margin-bottom:16px;
}

/* расширенные изображения адаптивные по высоте */
.image-stretch .wpb_single_image,.image-stretch,
.image-stretch .vc_single_image-wrapper 
 {
    height: 100%;
}
.image-stretch .wpb_single_image img {

width:100%;height:100%;
object-fit: cover;
  object-position:top;
}
/* /расширенные изображения адаптивные по высоте */




.wd-marquee-item img {
  width:130px;
}

.wd-nav-pagin-wrap {
  margin-top:0;
}
.wd-nav-pagin-wrap span {
    background: var(--wd-primary-color) !important;
    border: none !important;
  opacity:0.5;
}
.wd-nav-pagin-wrap li.wd-active span {
  opacity:1;
}


.portfolio-button {
    margin-top: 0.5rem;
}


/*********** FORMS *************************/


[type="radio"] {
  accent-color: var(--wd-primary-color);
}

.wpcf7-response-output:empty {
    display: none !important;
}


.btn, [type=submit] {
  height: var(--wd-form-height);
}
:root select, :root select option, :root textarea, input[type=date], input[type=email], input[type=number], input[type=password], input[type=search], input[type=tel], input[type=text], input[type=url] {
  font-size: inherit;
  background-color: white!important;
  color: var(--wd-form-color)!important;	
}
.submitting .custom-form-btn:before {
  content:'';
    display: block;
  position:absolute;
  top:0;
  left:0;
  width:100%; height:100%;
  z-index:999999;
  background:rgba(0,255,0,0.3);
}
::placeholder {
  color: var(--wd-form-color);
  opacity:0.5;
}

/* гибкие формы */
.ds-form {
  display: flex;
  gap:1rem;
}
.ds-form > * {
  flex:1;
}
.ds-form label {
  margin-bottom:0;
  width:100%;
}
.form-column .ds-form, .form-column.ds-form { 
  flex-direction: column;
  gap:0.5rem;
  align-items: unset;
}
.form-column .ds-form .desktop-only {
  display:none;
}
.ds-form [type="submit"] {
  width:100%;
}
.form-submit {
  display:flex;
}

.wpcf7-not-valid-tip {
    font-size: small;
}

@media (max-width:767.5px) {
  .ds-form {
    flex-direction: column;
    gap:0.5rem;
    align-items: unset;
  }
  .form-submit {
  /* исправляем слишком маленький зазор */
  margin-top:5px;
  }	
}
.form-time-hidden .form-time {
  display:none;
}
.form-messengers-hidden .form-messengers {
  display:none;
}
.form-name-hidden .form-name {
  display:none;
}
form small {
}

.wpcf7-acceptance a {
  text-decoration: underline;
}
.wpcf7-acceptance {
  font-size:smaller;
  line-height:1.15;
}
.wpcf7-acceptance label {
  display:flex;
  align-items: center;
  gap:0.5rem;
}
.wpcf7-acceptance input {
  transform: scale(1.5);
}
.awooc-col.columns-right input {
  width:auto!important;
}
.awooc-form-custom-order-form .wpcf7-list-item {
  margin-inline-end: 0!important;
}
.awooc-form-custom-order-form 
.wpcf7-acceptance .wpcf7-list-item-label {
  font-size:0.7rem!important
}
.awooc-form-custom-order-title {
    font-size: 1.2rem;
}
.wd-popup .awooc-custom-order.button {
  display:none;
}
/* галочка слишком далеко была */
.cf7-consent .wpcf7-form-control-wrap {
  width:auto!important;
}



.before-acceptance {
  margin-top:0.5rem;
  display:block;
  line-height:1;
  font-size: 0.85em;
}
.wpcf7-form-control-wrap[data-name*=acceptance] {
    border: none;
    border-radius: 0;
    background:transparent;
}

/* делаем блики-кнопки для форм:*/
.custom-form-btn {
  padding:0;
  margin:0;
  width:100%;
}
.custom-form-btn input {
  width:100%;
  height:100%;
  margin:0;
  background:none!important;
  color:white;
  margin-bottom:0!important;	
}

input[type=submit] {
  cursor: pointer;
  -webkit-appearance: button;
  appearance: button;
}
div.wpcf7 .custom-form-btn .wpcf7-spinner {
  position:absolute;
  top:50%;
  bottom:0;
  transform:translateY(-50%);
  left: auto;
  right:16px;
  width:16px;
  height:16px;
}
div.wpcf7 .custom-form-btn .wpcf7-spinner:before {
  top:0;left:0;
  border: 1px solid transparent;
    border-left-color: white;
  margin:0!important;
}


.label-file-upload {
    display: block;
    width: 100%;
    padding: 10px;
    border: 1px solid #ccc;
  color: var(--wd-form-color);
    border-radius: 4px;    
    background-color: #eee; /* Цвет фона кнопки */
    text-align: center; /* Центрирование текста */
    cursor: pointer; /* Указатель при наведении */
  --file-name: "Прикрепить файл 📎";
}

.label-file-upload input[type="file"] {
    display: none; /* Скрыть стандартное поле загрузки */
}

.label-file-upload::before {
  content: var(--file-name);
    display: flex;
  width:100%;
  height:100%;
  height: var(--wd-form-height);
  align-items:center;
  justify-content: center;
    border-radius: var(--btn-brd-radius);
    cursor: pointer;
}

.label-file-upload:hover {
    background-color: #d9d9d9; /* Цвет фона кнопки при наведении */
}
.label-file-text{
  display:block;
  max-width:100%;
  overflow:hidden;
  white-space:nowrap;
  text-overflow:ellipsis;
}

/* new acceptance */
.cf7-consent .wpcf7-list-item-label { display: none; }
.cf7-consent .wpcf7-list-item { margin: 0; }

.cf7-consent { position: relative; display: inline-flex; align-items: center; gap: .5rem; 
margin-top:5px;}
.cf7-consent .wpcf7-form-control-wrap { position: relative; }
.cf7-consent .wpcf7-not-valid-tip {
  position: absolute;
  left: 0; top: 100%;
  margin-top: 3px;
  width: max-content;
}
.cf7-consent input[type="checkbox"] {
    transform: scale(1.5);
}
.cf7-consent-text {
  padding-top: 2px;
  font-size: smaller;
    line-height: 1;
}
.cf7-consent-text a {
  text-decoration: underline;
    text-decoration-color: currentColor;
    text-decoration-thickness: 1px;
    text-underline-offset: 2px;
}

.wpcf7-response-output {
    font-size: smaller;
  padding-block: 8px!important;
  padding-inline: 8px!important;
}
div.wpcf7-response-output:before {
  display:none!important;
}
/****   END FORMS **********/

/**************************************************************/
/**************************************************************/
/**************************************************************/


/* woocommerce исправлена ошибка галереи */
.wd-backface-hidden .wd-carousel-item {
  height:auto;
}
.wd-carousel-inner, .wd-carousel-wrap {
  height:100%;
}



/* внимание! здесь не пойдет, так как влияет на ds-slider! нужно установить классы для woocommerce
.wd-backface-hidden figure, .wd-backface-hidden img {
  height:100%;
  object-fit: cover;
}

*/

/* WOO */
/* равная высота в карточках продуктов  */
.wd-grid-g .wd-product,.wd-grid-g  .product-wrapper {
 height:100%;
}

/* удаляем футер у карточек */
.wd-product-footer {
display: none;
}

/* important */
p.price {
  text-align:left!important;
}
/* /WOO */

/**************** БЛОГИ ******/

.wd-pagination li:before {
  display:none;
}

.wd-post-read-more.wd-style-link {
  text-transform: none;
}
.wd-entities-title a {
  font-size:1.15rem;
}
.post .wd-post-meta {
  display:none!important;
}

.wd-carousel-item :is(.wd-post-inner, article), .wd-posts :is(article, .wd-post-inner) {
    height: 100%;
}

.wd-post-img.post-img-wrapp {
  height:100%;
  aspect-ratio: 5/3;
}
.wd-post-img.post-img-wrapp img {
  object-fit:cover;
  height:inherit;	
}
.wd-suggestion-thumb img {
  aspect-ratio: 5/3;
  object-fit: cover;
}

.blog-style-bg .wd-post-content {
    padding: 0.5rem!important;
}

.portfolio-text-shown.wd-project .entry-thumbnail {
  height:260px;
}
.portfolio-text-shown.wd-project .entry-thumbnail a,.portfolio-text-shown.wd-project .entry-thumbnail img  {
  height:100%;
  object-fit:cover;
  object-position:center;
} 



/*******************custom*****************/

.woodmart-counter .counter-label {
    font-size: 1.25rem!important;
}
@media (max-width:575.5px) {
.vc_col-xs-4 .woodmart-counter .counter-label {
    font-size: 14px!important;
}
  
}

.portfolio-cards-carousel .wd-nav-pagin-wrap {
  margin-top: 0.35rem;
}
.portfolio-cards-carousel h4 {
  margin: 0.4rem auto 0;
}
.portfolio-cards-carousel td:last-child {
  text-align: right;
}
@media (max-width:767.5px) {
  .portfolio-cards-carousel table {
    font-size: smaller;
  }
  header.entry-header .wd-entities-title a {
    font-size: 1rem;
  }
  .wd-project .portfolio-info {
    padding: 10px 5px;
  }
  
}


/* WOO */
.wd-nav>li>a {
  font-size: initial;
}

/* одинаковой величины все ценники */
.single-product bdi {
  font-size:1.5rem;
}

.wd-product {
  text-align: left!important;
}

.product-categories > li> a {
    text-transform: uppercase;
}

.product-categories li a {
  color: initial;
}
.wd-cats-toggle {
  color: var(--wd-primary-color)!important;
  font-size: 15px!important;
}
.wd-cats-toggle:hover, .wd-cats-toggle.toggle-active {
    background-color: transparent!important;
  font-weight:600!important;
  color: var(--wd-primary-color)!important;
}

/* WOO */
/* ошибка max-width select */
.wd-shop-tools .woocommerce-ordering.wd-style-underline select {
  max-width: none;
}

/* отклонение в стреклах*/
.wd-thumb-nav.wd-pos-sep .wd-btn-arrow .wd-arrow-inner {
    background-color: var(--wd-primary-color);
}

.woocommerce-page  .wd-content-layout {
  padding-top:30px;
  padding-bottom:30px;
}

.wd-product-info.wd-style-with-bg:before {
    background: #4CAF50!important;
}

/* высота 100% в карусели*/
.wd-carousel-item .wd-product, .wd-carousel-item  .product-wrapper {
height: 100%;
}


.products .product-short-description {
  display: -webkit-box;
  -webkit-line-clamp: 4; 
  -webkit-box-orient: vertical;
  overflow: hidden;
}
@media (max-width:575.5px){
  .products .product-short-description,.product .wd-product-cats {
    font-size:0.85rem;
}
}


/* равная высота в карточках продуктов  */
.wd-grid-g .wd-product,.wd-grid-g  .product-wrapper {
 height:100%;
}
/*
.wd-accordion-item {
    border-top: none!important;
  border-bottom: none!important;
}
*/
.wd-accordion-opener {
  color: var(--wd-primary-color)!important;
}
  
  
/*********** reviews *****************/
.stars {
    display: inline-block;
    width: 8rem;
    height: 1rem;
    background-size: contain;
    background-repeat: no-repeat;
}

.stars-5 {
    background-image: url(/wp-content/themes/woodmart-child/images/star-5.webp);
}

.stars-4 {
    background-image: url(/wp-content/themes/woodmart-child/images/star-4.webp);
}

.stars-3 {
    background-image: url(/wp-content/themes/woodmart-child/images/star-3.webp);
}

.stars-2 {
    background-image: url(/wp-content/themes/woodmart-child/images/star-2.webp);
}

.stars-1 {
    background-image: url(/wp-content/themes/woodmart-child/images/star-1.webp);
}

@media (max-width:552px) {
    .stars {
        width: 6em;
  }
}
.block-review {
    height: 100%;
    background: white;
    padding: 1em;
    border-radius: 1em;
    box-shadow: 0 0 10px 2px rgba(0, 0, 0, 0.1);
    margin-bottom: 15px !important;
    font-size: 0.9em;
}

.block-review-header {
    display: flex;
    gap: 1em;
    margin-bottom: 1rem !important
}

.block-review-header img {
    width: 5em;
    height: 5em;
    object-fit: cover;
    border-radius: 50%;
}


.block-review-text {
    margin-bottom: 1em;
}
.block-review-title {
  font-size: larger;
}
.ds-collapse-wrapper {
    text-decoration: none;
    border-bottom: none;
    color: currentcolor;
}

.ds-collapse-content.collapse {
    cursor: pointer;
    display: -webkit-box;
    white-space: pre-line;
    -webkit-line-clamp: 4;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    max-height: calc(1.2em * 4);
    line-height: 1.2em;
}

.ds-collapse-btn {
    display: block;
    font-style: italic;
    opacity: 0.92;
    color: var(--wd-primary-color);
    cursor: pointer;
}
.block-review .wd-images-gallery .wd-gallery-item {
  aspect-ratio:5/4;
}
.block-review .wd-images-gallery .wd-gallery-item:nth-child(n+4) {
  display:none;
}

/*********** END reviews *****************/	


 .ib a[target="_blank"]:not([class]), 
 .external-link a[target="_blank"], 
  a.external-link  {
  display:flex;
  align-items:center;
  text-decoration:none;
  border-bottom:none;
}
.ib a[target="_blank"]:not([class])::after, 
 .external-link a[target="_blank"]::after, 
  a.external-link::after{
  content:"";
  display:inline-block;
  width:0.9em;
  height:0.9em;
  margin-left:0.25rem;
  background-color:currentColor;

  -webkit-mask:url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E%3Cpath fill='black' d='M14 3h7v7h-2V6.41l-9.29 9.3-1.42-1.42 9.3-9.29H14V3z'/%3E%3Cpath fill='black' d='M3 3h7v2H5v14h14v-5h2v7H3V3z'/%3E%3C/svg%3E") center/contain no-repeat;
  mask:url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E%3Cpath fill='black' d='M14 3h7v7h-2V6.41l-9.29 9.3-1.42-1.42 9.3-9.29H14V3z'/%3E%3Cpath fill='black' d='M3 3h7v2H5v14h14v-5h2v7H3V3z'/%3E%3C/svg%3E") center/contain no-repeat;
}




@media (max-width: 767.5px) {
    .wd-cookies-popup {
       padding: 0.5rem !important;
    }
  .wd-cookies-popup .btn {
        padding: 0.5rem;
        min-height: auto !important;
        height: auto !important;
        font-size: small !important;
    }
  
}

  
  